### Function

# GLib assert_warning

#### Declaration [src]

    void
    g_assert_warning (
      const char* log_domain,
      const char* file,
      const int line,
      const char* pretty_function,
      const char* expression
    )

#### Description

No description available.

#### Parameters

`log_domain`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `const int`

  No description available.

`pretty_function`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`expression`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.